KScriptClientInterface class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KScriptClientInterface Class Reference

This class is used for allowing feedback to the main system. More...

`#include <scriptclientinterface.h>`

Inheritance diagram for KScriptClientInterface:

[legend]
List of all members.

## Public Types
enum | Result { ResultSuccess, ResultFailure, ResultContinue, ResultBreak }
## Public Member Functions
virtual void | error (const QString &msg)=0
| This function will allow the main application of any errors that have occured during processing of the script.
virtual void | warning (const QString &msg)=0
| This function will allow the main application of any warnings that have occured during the processing of the script.
virtual void | output (const QString &msg)=0
| This function will allow the main application of any normal output that has occured during the processing of the script.
virtual void | progress (int percent)=0
| This function will allow feedback to any progress bars in the main application as to how far along the script is.
virtual void | done (KScriptClientInterface::Result result, const QVariant &returned)=0
| This function will allow feedback on completion of the script.

## Detailed Description

This class is used for allowing feedback to the main system.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 32 of file scriptclientinterface.h.

## Member Function Documentation

virtual void KScriptClientInterface::error | ( | const QString & | msg | ) | `[pure virtual]`

| This function will allow the main application of any errors that have occured during processing of the script. Implemented in KScriptManager.

virtual void KScriptClientInterface::warning | ( | const QString & | msg | ) | `[pure virtual]`

| This function will allow the main application of any warnings that have occured during the processing of the script. Implemented in KScriptManager.

virtual void KScriptClientInterface::output | ( | const QString & | msg | ) | `[pure virtual]`

| This function will allow the main application of any normal output that has occured during the processing of the script. Implemented in KScriptManager.

virtual void KScriptClientInterface::progress | ( | int | percent | ) | `[pure virtual]`

| This function will allow feedback to any progress bars in the main application as to how far along the script is. This is very useful when a script is processing files or doing some long operation that is of a known duration. Implemented in KScriptManager.

virtual void KScriptClientInterface::done | ( | KScriptClientInterface::Result | result,
|  | const QVariant & | returned
| ) | `[pure virtual]`

| This function will allow feedback on completion of the script. It turns the result as a KScriptInteface::Result, and a return value as a QVariant Implemented in KScriptManager.

The documentation for this class was generated from the following file:

- scriptclientinterface.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001